<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$urllink01=($_POST['urllink01']);
$urlinfo01=($_POST['urlinfo01']);
$urltitle01=($_POST['urltitle01']);
$urllink02=($_POST['urllink02']);
$urlinfo02=($_POST['urlinfo02']);
$urltitle02=($_POST['urltitle02']);
$urllink03=($_POST['urllink03']);
$urlinfo03=($_POST['urlinfo03']);
$urltitle03=($_POST['urltitle03']);
$urllink04=($_POST['urllink04']);
$urlinfo04=($_POST['urlinfo04']);
$urltitle04=($_POST['urltitle04']);
$urllink05=($_POST['urllink05']);
$urlinfo05=($_POST['urlinfo05']);
$urltitle05=($_POST['urltitle05']);
$urllink06=($_POST['urllink06']);
$urlinfo06=($_POST['urlinfo06']);
$urltitle06=($_POST['urltitle06']);
$urllink07=($_POST['urllink07']);
$urlinfo07=($_POST['urlinfo07']);
$urltitle07=($_POST['urltitle07']);
$urllink08=($_POST['urllink08']);
$urlinfo08=($_POST['urlinfo08']);
$urltitle08=($_POST['urltitle08']);
$urllink09=($_POST['urllink09']);
$urlinfo09=($_POST['urlinfo09']);
$urltitle09=($_POST['urltitle09']);
$urllink10=($_POST['urllink10']);
$urlinfo10=($_POST['urlinfo10']);
$urltitle10=($_POST['urltitle10']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[urllink01])<=0){@$_POST[urllink01]="";}
if (strlen(@$_POST[urlinfo01])<=0){@$_POST[urlinfo01]="";}
if (strlen(@$_POST[urltitle01])<=0){@$_POST[urltitle01]="";}
if (strlen(@$_POST[urllink02])<=0){@$_POST[urllink02]="";}
if (strlen(@$_POST[urlinfo02])<=0){@$_POST[urlinfo02]="";}
if (strlen(@$_POST[urltitle02])<=0){@$_POST[urltitle02]="";}
if (strlen(@$_POST[urllink03])<=0){@$_POST[urllink03]="";}
if (strlen(@$_POST[urlinfo03])<=0){@$_POST[urlinfo03]="";}
if (strlen(@$_POST[urltitle03])<=0){@$_POST[urltitle03]="";}
if (strlen(@$_POST[urllink04])<=0){@$_POST[urllink04]="";}
if (strlen(@$_POST[urlinfo04])<=0){@$_POST[urlinfo04]="";}
if (strlen(@$_POST[urltitle04])<=0){@$_POST[urltitle04]="";}
if (strlen(@$_POST[urllink05])<=0){@$_POST[urllink05]="";}
if (strlen(@$_POST[urlinfo05])<=0){@$_POST[urlinfo05]="";}
if (strlen(@$_POST[urltitle05])<=0){@$_POST[urltitle05]="";}
if (strlen(@$_POST[urllink06])<=0){@$_POST[urllink06]="";}
if (strlen(@$_POST[urlinfo06])<=0){@$_POST[urlinfo06]="";}
if (strlen(@$_POST[urltitle06])<=0){@$_POST[urltitle06]="";}
if (strlen(@$_POST[urllink07])<=0){@$_POST[urllink07]="";}
if (strlen(@$_POST[urlinfo07])<=0){@$_POST[urlinfo07]="";}
if (strlen(@$_POST[urltitle07])<=0){@$_POST[urltitle07]="";}
if (strlen(@$_POST[urllink08])<=0){@$_POST[urllink08]="";}
if (strlen(@$_POST[urlinfo08])<=0){@$_POST[urlinfo08]="";}
if (strlen(@$_POST[urltitle08])<=0){@$_POST[urltitle08]="";}
if (strlen(@$_POST[urllink09])<=0){@$_POST[urllink09]="";}
if (strlen(@$_POST[urlinfo09])<=0){@$_POST[urlinfo09]="";}
if (strlen(@$_POST[urltitle09])<=0){@$_POST[urltitle09]="";}
if (strlen(@$_POST[urllink10])<=0){@$_POST[urllink10]="";}
if (strlen(@$_POST[urlinfo10])<=0){@$_POST[urlinfo10]="";}
if (strlen(@$_POST[urltitle10])<=0){@$_POST[urltitle10]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/urllink01=(.+?);/';
$patterns[1]='/urlinfo01=(.+?);/';
$patterns[2]='/urltitle01=(.+?);/';
$patterns[3]='/urllink02=(.+?);/';
$patterns[4]='/urlinfo02=(.+?);/';
$patterns[5]='/urltitle02=(.+?);/';
$patterns[6]='/urllink03=(.+?);/';
$patterns[7]='/urlinfo03=(.+?);/';
$patterns[8]='/urltitle03=(.+?);/';
$patterns[9]='/urllink04=(.+?);/';
$patterns[10]='/urlinfo04=(.+?);/';
$patterns[11]='/urltitle04=(.+?);/';
$patterns[12]='/urllink05=(.+?);/';
$patterns[13]='/urlinfo05=(.+?);/';
$patterns[14]='/urltitle05=(.+?);/';
$patterns[15]='/urllink06=(.+?);/';
$patterns[16]='/urlinfo06=(.+?);/';
$patterns[17]='/urltitle06=(.+?);/';
$patterns[18]='/urllink07=(.+?);/';
$patterns[19]='/urlinfo07=(.+?);/';
$patterns[20]='/urltitle07=(.+?);/';
$patterns[21]='/urllink08=(.+?);/';
$patterns[22]='/urlinfo08=(.+?);/';
$patterns[23]='/urltitle08=(.+?);/';
$patterns[24]='/urllink09=(.+?);/';
$patterns[25]='/urlinfo09=(.+?);/';
$patterns[26]='/urltitle09=(.+?);/';
$patterns[27]='/urllink10=(.+?);/';
$patterns[28]='/urlinfo10=(.+?);/';
$patterns[29]='/urltitle10=(.+?);/';

@$replacements[0]=sprintf("urllink01=%s%s%s;",$t,$_POST[urllink01],$t);
@$replacements[1]=sprintf("urlinfo01=%s%s%s;",$t,$_POST[urlinfo01],$t);
@$replacements[2]=sprintf("urltitle01=%s%s%s;",$t,$_POST[urltitle01],$t);
@$replacements[3]=sprintf("urllink02=%s%s%s;",$t,$_POST[urllink02],$t);
@$replacements[4]=sprintf("urlinfo02=%s%s%s;",$t,$_POST[urlinfo02],$t);
@$replacements[5]=sprintf("urltitle02=%s%s%s;",$t,$_POST[urltitle02],$t);
@$replacements[6]=sprintf("urllink03=%s%s%s;",$t,$_POST[urllink03],$t);
@$replacements[7]=sprintf("urlinfo03=%s%s%s;",$t,$_POST[urlinfo03],$t);
@$replacements[8]=sprintf("urltitle03=%s%s%s;",$t,$_POST[urltitle03],$t);
@$replacements[9]=sprintf("urllink04=%s%s%s;",$t,$_POST[urllink04],$t);
@$replacements[10]=sprintf("urlinfo04=%s%s%s;",$t,$_POST[urlinfo04],$t);
@$replacements[11]=sprintf("urltitle04=%s%s%s;",$t,$_POST[urltitle04],$t);
@$replacements[12]=sprintf("urllink05=%s%s%s;",$t,$_POST[urllink05],$t);
@$replacements[13]=sprintf("urlinfo05=%s%s%s;",$t,$_POST[urlinfo05],$t);
@$replacements[14]=sprintf("urltitle05=%s%s%s;",$t,$_POST[urltitle05],$t);
@$replacements[15]=sprintf("urllink06=%s%s%s;",$t,$_POST[urllink06],$t);
@$replacements[16]=sprintf("urlinfo06=%s%s%s;",$t,$_POST[urlinfo06],$t);
@$replacements[17]=sprintf("urltitle06=%s%s%s;",$t,$_POST[urltitle06],$t);
@$replacements[18]=sprintf("urllink07=%s%s%s;",$t,$_POST[urllink07],$t);
@$replacements[19]=sprintf("urlinfo07=%s%s%s;",$t,$_POST[urlinfo07],$t);
@$replacements[20]=sprintf("urltitle07=%s%s%s;",$t,$_POST[urltitle07],$t);
@$replacements[21]=sprintf("urllink08=%s%s%s;",$t,$_POST[urllink08],$t);
@$replacements[22]=sprintf("urlinfo08=%s%s%s;",$t,$_POST[urlinfo08],$t);
@$replacements[23]=sprintf("urltitle08=%s%s%s;",$t,$_POST[urltitle08],$t);
@$replacements[24]=sprintf("urllink09=%s%s%s;",$t,$_POST[urllink09],$t);
@$replacements[25]=sprintf("urlinfo09=%s%s%s;",$t,$_POST[urlinfo09],$t);
@$replacements[26]=sprintf("urltitle09=%s%s%s;",$t,$_POST[urltitle09],$t);
@$replacements[27]=sprintf("urllink10=%s%s%s;",$t,$_POST[urllink10],$t);
@$replacements[28]=sprintf("urlinfo10=%s%s%s;",$t,$_POST[urlinfo10],$t);
@$replacements[29]=sprintf("urltitle10=%s%s%s;",$t,$_POST[urltitle10],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
